def process_args(argparser):
    argparser.add_argument('-m', '--method', type=str, help='lookup method')
    argparser.add_argument('--meta-url', dest='meta_url', type=str, help='Url to retrieve metadata from')
    argparser.add_argument('-f', '--force-update', dest='force_update', type=str, help='Update records of mutable entries')
    argparser.add_argument('identifier', type=str, help='user identifier')


def extra_args():
    return {
        'force_update': '_FORCE',
        'method': 'META_LOOKUP_METHOD',
        'meta_url': 'META_URL',
        'identifier': '_ARG_USER_IDENTIFIER',
            }


def validate_args(args):
    pass


def apply_args(config, args):
    pass


def execute(config, args):
    pass
